package com.keao.edu.auth.service;

import java.util.List;

import com.keao.edu.auth.api.entity.SysUserRole;
import com.keao.edu.common.service.BaseService;

public interface SysUserRoleService extends BaseService<Integer, SysUserRole> {

	/**
	 * 查询指定用户具有的角色编号
	 * @param userId 用户编号
	 * @return
	 */
	List<Integer> queryRoleIdListByUserId(Integer userId);

	/**
	 * 查询指定用户的角色编码
	 * @param userId
	 * @return
	 */
	List<String> queryRoleCodeListByUserId(Integer userId);
	/**
	 * 新增用户角色(批量)
	 * @param userId
	 * @param roleIds
	 * @return
	 */
	boolean batchInsert(Integer userId, String roleIds);

	/**
	 * 删除用户角色(批量)
	 * @param userId
	 * @param roleIds
	 * @return
	 */
	boolean batchDel(Integer userId, String roleIds);
}